Subject: bug#13066: 24.2.90; setting rmail-summary-window-size causes error

From: Glenn Morris <[email-masked]>
Date: Thu, 06 Dec 2012 16:45:42 -0500

Glenn Morris wrote:

> This is also because rmail-maybe-display-summary behaves differently to
> how it used to.

I installed a fix for that to emacs-24.

> (progn
>  (message "1 : %s : %s" (current-buffer) (selected-window))
>  (set-buffer "*Messages*")
>  (message "2 : %s : %s" (current-buffer) (setq window
>  (selected-window)))
>  (select-window window)
>  (message "3 : %s : %s" (current-buffer) (setq window (selected-window))))
>
> With 24.2, the result is:
>
> 1 : *scratch* : #<window 3 on *scratch*>
> 2 : *Messages* : #<window 3 on *scratch*>
> 3 : *Messages* : #<window 3 on *scratch*>
>
> With 24.2.90, it is:
>
> 1 : *scratch* : #<window 3 on *scratch*>
> 2 : *Messages* : #<window 3 on *scratch*>
> 3 : *scratch* : #<window 3 on *scratch*>

I know select-window has always been documented to "make WINDOW's buffer
current", but I wouldn't be surprised if this change causes issues in
other places. So yes, maybe a NEWS entry might help a bit.